# $Revision: 1.6 $, $Date: 2002/07/12 12:15:00 $
%include	/usr/lib/rpm/macros.php
%define		_class		Archive
%define		_subclass	Tar
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_class}_%{_subclass} - Tar file management class
Summary(pl):	%{_class}_%{_subclass} - klasa do zarzdzania plikami Tar
Name:		php-pear-%{_pearname}
Version:	0.9
Release:	3
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
URL:		http://pear.php.net/
BuildRequires:	rpm-php-pearprov
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This class provides handling of tar files in PHP. It supports
creating, listing, extracting and adding to tar files. Gzip support is
available if PHP has the zlib extension built-in or loaded.

%description -l pl
Ta klasa udostpnia obsug plikw tar w PHP. Pozwala na tworzenie,
przegldanie zawartoci, rozpakowywanie i dodawanie plikw do archiww
tar. Obsuga kompresji gzip jest dostpna, jeli do PHP jest
zainstalowany modu rozszerzenia zlib.

%prep
%setup -q -c

%install
rm -rf $RPM_BUILD_ROOT
cd %{_pearname}-%{version}

install -d $RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

install %{_class}/*.php		$RPM_BUILD_ROOT%{php_pear_dir}/%{_class}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{php_pear_dir}/%{_class}/*.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: php-pear-Archive_Tar.spec,v $
Revision 1.6  2002/07/12 12:15:00  blues
- release 3 (rebuild with new rpm)

Revision 1.5  2002/07/04 00:41:57  blues
- release 2

Revision 1.4  2002/06/29 14:17:37  blues
- removed dir entry - will be in php.spec

Revision 1.3  2002/06/25 11:00:16  blues
- more macros

Revision 1.2  2002/06/24 21:27:41  qboosh
- pl description

Revision 1.1  2002/06/24 12:49:50  blues
- Archive_Tar class
